##!/bin/sh

set -eux
export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8

while getopts "a:t:" opt; do
  case $opt in
    a)
      API_KEY_CONTENT=$OPTARG
      ;;
    t)
      TEMP_PATH=$OPTARG
      ;;
    \?)
      echo "Invalid option: -$OPTARG" >&2
      exit 1
      ;;
  esac
done

bundle exec fastlane ios set_build_number api_key_content:"$API_KEY_CONTENT" temp_path:"$TEMP_PATH"
